public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lua/luaposix/
Date: Wed,  1 Feb 2023 01:11:12 +0000 (UTC)	[thread overview]
Message-ID: <1675213563.32c17a6eb8ef80d1d864308c74c910cf1076c931.conikost@gentoo> (raw)

commit:     32c17a6eb8ef80d1d864308c74c910cf1076c931
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  1 01:06:03 2023 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Feb  1 01:06:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32c17a6e

dev-lua/luaposix: add 36.1

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/luaposix/Manifest             |  1 +
 dev-lua/luaposix/luaposix-36.1.ebuild | 73 +++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-lua/luaposix/Manifest b/dev-lua/luaposix/Manifest
index 1228d24c145e..c0d2a2c74e96 100644
--- a/dev-lua/luaposix/Manifest
+++ b/dev-lua/luaposix/Manifest
@@ -1,2 +1,3 @@
 DIST luaposix-35.1.tar.gz 180002 BLAKE2B fc48ae91c31968cb92ea9818148f135e16e2bacac10265cbfa43539c34a934c4eb636417b820ce3b0b3724fecbf27a860c6b481749d339b009fc01b6f81e6277 SHA512 f2c36bf69c0d73b4a2c6ab0915f81473addce427c22e82e2d1c334016dec7fecb4365fc980fa6adb0de21ad1a60bc75b73f58579e8a423990ad2067c9ae37775
 DIST luaposix-36.0.tar.gz 185834 BLAKE2B 1adc1e6c64cf6b51714e34d950ce26731bd1e6ef552ea2de6d755290839c1d7e8eb0b96ef6e15515d2505a65269757c3d7aa706ab2760c3b42c53f54696f200d SHA512 a932ac983158eb6e8a229afc79d45438a3b6ace55087b41b8e957d7202ed2db0938db152b0e20f2485cc0fbaa646fa6eca4d39eeba6705fcfb70991b49bf9566
+DIST luaposix-36.1.tar.gz 185456 BLAKE2B 978a71a647f173a578bbe7106bbb7e46498007c4dfc4af5143c652708ecc8b56c19c9f4c76268b21a384f65b15356ef5bd0c36ba3b1ab933962a908ed0a1577f SHA512 444230b80c83e6691b6e52ff2ea4c558842418ffb6615ad81609ee62b65cc0e2a208cd3b1ad7f77a0a3ac72ffe4310a8027c6493494971d9d24097f5a0b1b1d0

diff --git a/dev-lua/luaposix/luaposix-36.1.ebuild b/dev-lua/luaposix/luaposix-36.1.ebuild
new file mode 100644
index 000000000000..c135178d9d85
--- /dev/null
+++ b/dev-lua/luaposix/luaposix-36.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="Bindings for POSIX APIs"
+HOMEPAGE="https://luaposix.github.io/luaposix/ https://github.com/luaposix/luaposix"
+SRC_URI="https://github.com/luaposix/luaposix/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~riscv-linux ~x86-linux"
+IUSE="doc"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+# Requires specl, which is not in the tree yet
+RESTRICT="test"
+
+DEPEND="${LUA_DEPS}
+	virtual/libcrypt:=
+"
+RDEPEND="${DEPEND}
+	lua_targets_lua5-1? ( dev-lua/lua-bit32[lua_targets_lua5-1(-)] )
+	lua_targets_luajit? ( dev-lua/lua-bit32[lua_targets_luajit(-)] )
+"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+	default
+	lua_copy_sources
+}
+
+lua_src_compile() {
+	pushd "${BUILD_DIR}" || die
+
+	# LDOC=true means disable ldoc update documentation
+	./build-aux/luke --verbose package="${PN}" version="${PV}" \
+		LDOC=true \
+		PREFIX="${ED}/usr" \
+		INST_LIBDIR="${ED}/$(lua_get_cmod_dir)" \
+		INST_LUADIR="${ED}/$(lua_get_lmod_dir)" \
+		LUA_INCDIR="${EPREFIX}/$(lua_get_include_dir)" \
+		CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" CC="$(tc-getCC)" || die
+
+	popd || die
+}
+
+src_compile() {
+	lua_foreach_impl lua_src_compile
+}
+
+lua_src_install() {
+	pushd "${BUILD_DIR}" || die
+
+	./build-aux/luke install \
+		LDOC=true \
+		PREFIX="${ED}/usr" \
+		INST_LIBDIR="${ED}/$(lua_get_cmod_dir)" \
+		INST_LUADIR="${ED}/$(lua_get_lmod_dir)" \
+		|| die
+
+	popd || die
+}
+
+src_install() {
+	lua_foreach_impl lua_src_install
+	dodoc {NEWS,README}.md
+	use doc && dodoc -r doc
+}


             reply	other threads:[~2023-02-01  1:11 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-01  1:11 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-04 20:15 [gentoo-commits] repo/gentoo:master commit in: dev-lua/luaposix/ Conrad Kostecki
2025-04-04 20:15 Conrad Kostecki
2025-04-04 20:15 Conrad Kostecki
2025-03-01  1:14 Conrad Kostecki
2023-07-25 21:00 Conrad Kostecki
2023-07-25 21:00 Conrad Kostecki
2023-07-25 21:00 Conrad Kostecki
2023-06-24 21:36 Conrad Kostecki
2023-05-17  8:16 Conrad Kostecki
2023-04-21  8:25 Joonas Niilola
2023-03-04  0:00 Conrad Kostecki
2023-03-04  0:00 Conrad Kostecki
2023-02-01  1:11 Conrad Kostecki
2022-07-22  7:31 James Le Cuirot
2022-04-18 20:19 Conrad Kostecki
2022-04-18 20:19 Conrad Kostecki
2022-04-17 16:10 Sam James
2022-04-17 16:10 Sam James
2021-09-27 20:30 Conrad Kostecki
2021-06-29 21:23 Sam James
2021-06-24 17:33 Sergei Trofimovich
2021-04-29 14:19 Sam James
2021-04-27 22:02 Sam James
2021-03-31 19:44 Conrad Kostecki
2021-03-31 19:44 Conrad Kostecki
2021-03-28  7:14 Sam James
2021-03-06 15:14 Sergei Trofimovich
2021-01-27 19:48 Conrad Kostecki
2021-01-20 14:13 Joonas Niilola
2021-01-20 14:13 Joonas Niilola
2021-01-20 14:13 Joonas Niilola
2020-12-02 23:57 Marek Szuba
2020-09-29  6:37 Joonas Niilola
2020-08-24 14:39 Joonas Niilola
2020-08-24 14:39 Joonas Niilola
2016-12-23  9:57 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1675213563.32c17a6eb8ef80d1d864308c74c910cf1076c931.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox